Bug 731784 - Add Requires on subscription-manager for entitlements
Summary: Add Requires on subscription-manager for entitlements
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-18 16:28 UTC by Rob Crittenden
Modified: 2015-01-04 23:50 UTC (History)
5 users (show)

Fixed In Version: ipa-2.1.1-1.el6
Doc Type: Bug Fix
Doc Text:
Do not document
Clone Of:
Environment:
Last Closed: 2011-12-06 18:29:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Rob Crittenden 2011-08-18 16:28:31 UTC
Description of problem:

Entitlements needs a working /etc/rhsm/rhsm.conf and this is provided by the subscription-manager package. The ipa-server subpackage needs a Requires on it.

https://fedorahosted.org/freeipa/ticket/1664

Comment 1 Martin Kosek 2011-08-31 06:50:03 UTC
Fixed upstream:
master: 9b0fa8debfadfbf6da310638ee351788f7dd0322
ipa-2-1: 028a87b0dae5f69099859b0e65fce9c5597d1730

Comment 3 Jenny Galipeau 2011-09-27 21:16:52 UTC
This should no longer be necessary ....

Comment 4 Rob Crittenden 2011-11-01 13:28:21 UTC
Right, removed in 2.1.2-2 for BZ#739060

Comment 5 Rob Crittenden 2011-11-01 13:28:21 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Do not document

Comment 6 Gowrishankar Rajaiyan 2011-11-06 10:39:00 UTC
[root@bumblebee ~]# yum remove subscription-manager

[root@bumblebee ~]# yum install ipa-server

Verified that ipa-server no longer requires subscription-manager package.

[root@decepticons ~]# rpm -qi ipa-server | head
Name        : ipa-server                   Relocations: (not relocatable)
Version     : 2.1.3                             Vendor: Red Hat, Inc.
Release     : 8.el6                         Build Date: Wed 02 Nov 2011 03:21:27 AM IST
Install Date: Thu 03 Nov 2011 10:13:53 AM IST      Build Host: x86-012.build.bos.redhat.com
Group       : System Environment/Base       Source RPM: ipa-2.1.3-8.el6.src.rpm
Size        : 3381421                          License: GPLv3+
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.freeipa.org/
Summary     : The IPA authentication server
[root@decepticons ~]#

Comment 7 errata-xmlrpc 2011-12-06 18:29:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.